format_version: '1.0'


repository_url: https://github.com/rsyslog/rsyslog
issue_url: https://github.com/rsyslog/rsyslog/issues/495


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 3928f8a
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 37ed215b671c322e7938a6152176e079957085da
    - input_file: 'b-partial-2.diff'
      commit_sha1: c034510ce82828ff2f39989c39f245cec067aca9
    - input_file: 'b-partial-3.diff'
      commit_sha1: b1f576b71cffaf4d69cf070f786b996b4de4d21f
    - input_file: 'b-partial-4.diff'
      commit_sha1: 07c54f182a59f5f0908ed2a8aa152d63874b97cf
    - input_file: 'b-partial-5.diff'
      commit_sha1: fd3920324c6c23d725f37173aef6daea1bf80e6d
    - input_file: 'b-partial-6.diff'
      commit_sha1: e2c0f508f2aa7a8b37d2bca23066aa062b3d79d5

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 8c8e1e92d0650cb5f516e7d6dfc96c39e371c4f9

options:
  language: C
